Package ru.bitel.bgbilling.modules.sorm.common.bean

# Class ClosedSormContract

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.sorm.common.bean.ClosedSormContract

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class ClosedSormContract extends IdTitle

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ClosedSormContract()`
  `ClosedSormContract(int id)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDescription()`
  `int`
  `getModuleId()`
  `String`
  `getModuleTitle()`
  `void`
  `setDescription(String description)`
  `void`
  `setModuleId(int moduleId)`
  `void`
  `setModuleTitle(String moduleTitle)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ClosedSormContract

    public ClosedSormContract()

  - ### ClosedSormContract

    public ClosedSormContract(int id)

- ## Method Details

  - ### getModuleTitle

    public String getModuleTitle()

  - ### setModuleTitle

    public void setModuleTitle(String moduleTitle)

  - ### getModuleId

    public int getModuleId()

  - ### setModuleId

    public void setModuleId(int moduleId)

  - ### getDescription

    public String getDescription()

  - ### setDescription

    public void setDescription(String description)